# List Crypto Customer Payment Tokens

Lists the Payment Tokens for a Crypto Customer.

## Request

```curl
curl https://api.stripe.com/v1/crypto/customers/crc_1ABC2DEF3ghi4jkl5/payment_tokens \
  -u "<<YOUR_SECRET_KEY>>"
```

### Response

```json
{
  "url": "/v1/crypto/customers/crc_1ABC2DEF3ghi4jkl5/payment_tokens",
  "data": [
    {
      "id": "cpt_1ABC2DEF3ghi4jkl5",
      "object": "crypto.payment_token",
      "type": "card",
      "card": {
        "brand": "visa",
        "exp_month": 12,
        "exp_year": 2030,
        "funding": "credit",
        "last4": "4242"
      }
    }
  ],
  "has_more": false
}
```

## Returns

A hash with a `data` property that contains an array of up to `limit` PaymentTokens of type `type`, starting after PaymentTokens `starting_after`. Each entry in the array is a separate PaymentToken object. If no more PaymentTokens are available, the resulting array will be empty.

## Parameters

- `ending_before` (string, optional)
  A cursor for use in pagination. `ending_before` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with `obj_bar`, your subsequent call can include `ending_before=obj_bar` in order to fetch the previous page of the list.

- `limit` (integer, optional)
  A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

- `starting_after` (string, optional)
  A cursor for use in pagination. `starting_after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with `obj_foo`, your subsequent call can include `starting_after=obj_foo` in order to fetch the next page of the list.
